net.corda.flows

## Class CashIssueFlow

- FlowLogic
- - AbstractCashFlow
  - - net.corda.flows.CashIssueFlow

-     public class CashIssueFlow
      extends AbstractCashFlow

  Initiates a flow that produces cash issuance transaction.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.flows.AbstractCashFlow

      `AbstractCashFlow.Companion`

  - ### Field Summary

    - ### Fields inherited from class net.corda.flows.AbstractCashFlow

      `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CashIssueFlow(Amount<java.util.Currency> amount, OpaqueBytes issueRef, Party recipient, Party notary, ProgressTracker progressTracker)` Initiates a flow that produces cash issuance transaction.
    `CashIssueFlow(Amount<java.util.Currency> amount, OpaqueBytes issueRef, Party recipient, Party notary)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SignedTransaction` | `call()` This is where you fill out your business logic. The returned object will usually be ignored, but can be helpful if this flow is meant to be used as a subflow.
    `Amount<java.util.Currency>` | `getAmount()`
    `OpaqueBytes` | `getIssueRef()`
    `Party` | `getNotary()`
    `Party` | `getRecipient()`

    - ### Methods inherited from class net.corda.flows.AbstractCashFlow

      `getProgressTracker`

    - ### Methods inherited from class net.corda.core.flows.FlowLogic

      `call, getCounterpartyMarker, getLogger, getProgressTracker, getRunId, getServiceHub, getStateMachine, receive, send, sendAndReceive, setStateMachine, subFlow, subFlow, track, waitForLedgerCommit`

- - ### Constructor Detail

    - #### CashIssueFlow

          public CashIssueFlow(Amount<java.util.Currency> amount,
                               OpaqueBytes issueRef,
                               Party recipient,
                               Party notary,
                               ProgressTracker progressTracker)

      Initiates a flow that produces cash issuance transaction.

      Parameters:
        `amount` - the amount of currency to issue.
        `issueRef` - a reference to put on the issued currency.
        `recipient` - the party who should own the currency after it is issued.
        `notary` - the notary to set on the output states.

    - #### CashIssueFlow

          public CashIssueFlow(Amount<java.util.Currency> amount,
                               OpaqueBytes issueRef,
                               Party recipient,
                               Party notary)

  - ### Method Detail

    - #### call

          public SignedTransaction call()

      This is where you fill out your business logic. The returned object will usually be ignored, but can be helpful if this flow is meant to be used as a subflow.

    - #### getAmount

          public Amount<java.util.Currency> getAmount()

    - #### getIssueRef

          public OpaqueBytes getIssueRef()

    - #### getRecipient

          public Party getRecipient()

    - #### getNotary

          public Party getNotary()